Subject: bug#43406: Emacs 27.1 memory consumption grows indefinitely

From: Ludovic Courtès <[email-masked]>
Date: Mon, 14 Sep 2020 21:38:47 +0200

Hello,

Since I upgraded to Emacs 27.1, its memory consumption grows without
bounds, to the point that it gets OOM-killed after just a couple of
hours (meaning that it’s used most of the 16G of RAM of my laptop!).

Does that ring a bell to anyone?  I have 50+ ^emacs- packages in my
profile; any clues on what could be the cause before diving further?

--8<---------------cut here---------------start------------->8---
$ guix package -I ^emacs$
emacs   27.1    out     /gnu/store/ipgb6s3phz3n740xlcdzaxnbgvncdh11-emacs-27.1
$ guix describe
Generacio 157   Sep 10 2020 08:49:21    (nuna)
  guix 7090159
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 7090159c23d6345992ab976d71fefeb1583cfcdf
$ uname -rm
5.8.8-gnu x86_64
--8<---------------cut here---------------end--------------->8---

Ludo’.